Name:     squashfs-tools
Version:  4.4
Release:  4
Summary:  Utility for the squashfs filesystems
License:  GPLv2+
URL:      http://squashfs.sourceforge.net/

Source0:  http://downloads.sourceforge.net/squashfs/squashfs%{version}.tar.gz

Patch1:  0001-Fix-typos-update-URLs-in-squashfs-tools-Makefile.patch
Patch2:  0002-Support-creating-sockets-in-unsquashfs.patch
Patch3:  0003-squashfs-tools-fix-build-failure-against-gcc-10.patch
Patch4:  0004-xattr-Initialize-header-to-avoid-valgrind-warning.patch

BuildRequires: zlib-devel xz-devel libzstd-devel 
BuildRequires: lzo-devel libattr-devel lz4-devel gcc

%description
Squashfs is a highly compressed read-only filesystem for Linux.
It uses either gzip/xz/lzo/lz4/zstd compression to compress both files, inodes
and directories.

%prep
%autosetup -n squashfs%{version} -p1

%build
CFLAGS="%{optflags}" XZ_SUPPORT=1 LZO_SUPPORT=1 LZMA_XZ_SUPPORT=1 LZ4_SUPPORT=1 ZSTD_SUPPORT=1 \
%make_build -C squashfs-tools

%install
install -D -m 755 squashfs-tools/mksquashfs %{buildroot}%{_sbindir}/mksquashfs
install -D -m 755 squashfs-tools/unsquashfs %{buildroot}%{_sbindir}/unsquashfs

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS README-4.4
%license COPYING
%{_sbindir}/mksquashfs
%{_sbindir}/unsquashfs



%changelog
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.4-4
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Tue Jun 29 2021 zhouwenpei <zhouwenpei1@huawei.com> - 4.4-3
- add buildrequire gcc.

* Mon Jul 13 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 4.4-2
- backport upstream bugfix patches

* Tue Oct 15 2019 zhanghaibo <ted.zhang@huawei.com> - 4.4-1
- Rebase to version 4.4

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 4.3-17
- Package init
